From 0ec2682bda2843fbca233f4445a74da66ae48bb5 Mon Sep 17 00:00:00 2001
From: Juanma Barranquero <lekktu@gmail.com>
Date: Fri, 25 Oct 2019 13:36:54 +0200
Subject: [PATCH 2/3] windmove.el: Fix docstrings not to refer to obsolete
 functions

* lisp/windmove.el (windmove-find-other-window)
(windmove-do-window-select): Doc fixes.
---
 lisp/windmove.el | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

diff --git a/lisp/windmove.el b/lisp/windmove.el
index cc0c2350c2..0744a5ec55 100644
--- a/lisp/windmove.el
+++ b/lisp/windmove.el
@@ -473,15 +473,19 @@ windmove-other-window-loc
 ;; Rewritten on 2013-12-13 using `window-in-direction'.  After the
 ;; pixelwise change the old approach didn't work any more.  martin
 (defun windmove-find-other-window (dir &optional arg window)
-  "Return the window object in direction DIR.
-DIR, ARG, and WINDOW are handled as by `windmove-other-window-loc'."
+  "Return the window object in direction DIR as seen from WINDOW.
+DIR is one of `left', `up', `right', or `down'.
+Optional ARG, if negative, means to use the right or bottom edge of
+WINDOW as reference position, instead of `window-point'; if positive,
+use the left or top edge of WINDOW as reference point.
+WINDOW must be a live window and defaults to the selected one."
   (window-in-direction dir window nil arg windmove-wrap-around t))
 
 ;; Selects the window that's hopefully at the location returned by
 ;; `windmove-other-window-loc', or screams if there's no window there.
 (defun windmove-do-window-select (dir &optional arg window)
-  "Move to the window at direction DIR.
-DIR, ARG, and WINDOW are handled as by `windmove-other-window-loc'.
+  "Move to the window at direction DIR as seen from WINDOW.
+DIR, ARG, and WINDOW are handled as by `windmove-find-other-window'.
 If no window is at direction DIR, an error is signaled.
 If `windmove-create-window' is non-nil, try to create a new window
 in direction DIR instead."
-- 
2.23.0.windows.1

